

import 'dart:convert';

ChanEmailRespModel changeEmailFromJson(String str) => ChanEmailRespModel.fromJson(json.decode(str));

String changeEmailToJson(ChanEmailRespModel data) => json.encode(data.toJson());

class ChanEmailRespModel {
  int? messageStatus;
  Null? totalItemsCount;
  Data? data;
  String? message;

  ChanEmailRespModel(
      {this.messageStatus, this.totalItemsCount, this.data, this.message});

  ChanEmailRespModel.fromJson(Map<String, dynamic> json) {
    messageStatus = json['messageStatus'];
    totalItemsCount = json['totalItemsCount'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['messageStatus'] = this.messageStatus;
    data['totalItemsCount'] = this.totalItemsCount;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    data['message'] = this.message;
    return data;
  }
}

class Data {
  String? userToken;

  Data({this.userToken});

  Data.fromJson(Map<String, dynamic> json) {
    userToken = json['userToken'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['userToken'] = this.userToken;
    return data;
  }
}